CompatibilityCheck ~ Check if my plugins are compatible with your server version! 1.0.5

A simple tool to ensure compatibility before using my plugins!

  1. NikV2
    Native Minecraft Version:
    Legacy (< 1.13)
    Tested Minecraft Versions:
    • 1.7
    • 1.8
    • 1.9
    • 1.10
    • 1.11
    • 1.12
    • 1.13
    • 1.14
    • 1.15
    • 1.16
    compatibilitycheck.png

    A simple tool to check if my plugins are Supported On your Minecraft Server's Version!

    This idea originated from LoneDev's
    Compatibility Checker


    How does it work?

    Simply install the Plugin, Start up your Server

    And wait for the plugin to collect information

    And print to you the results in the Console !


    Please do not use the Review Section if you seek Any type of Support, If there's any problem simply PM me or Contact Us on our Discord Server!

    Looking for a cheap host?
    Make sure to check out our Partner
    [​IMG]
    The.Phoenix likes this.

Recent Updates

  1. Java 13
  2. Fancy Title Goes Here

Recent Reviews

  1. TecnioDev
    TecnioDev
    5/5,
    Version: 1.0.5
    The idea is pretty cool, people can make sure your plugins are compatible without all of the testing, errors, and refund blah blah stages.
    1. NikV2
      Author's Response
      No, i have no idea why i made this. This is completely useless lmao.
  2. Looskie
    Looskie
    5/5,
    Version: 1.0.2
    Giving this a 5 star because the guy below me is fu**ing with your reviews, fu**ed up man, anyways, great plugin! Works fantastic and gives you plently of information! Super helpful when updating versions!
    1. NikV2
      Author's Response
      Hah thank you very much my man <3 i appreciate it! Glad you find this small tool useful!
  3. Crustycomrade
    Crustycomrade
    1/5,
    Version: 1.0.2
    NEXT LEVEL TRASH, NO CONFIG FILEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
    1. NikV2
      Author's Response
      Greetings !

      I'm not sure if you have visibility issues, Or maybe your brain lagged a bit.
      But this is not a Plugin to use on a production Server.

      This is simply a Tool to check if my Other plugins are compatible on your Server.

      Please remove this invalid review, And if you seek support make sure to join our Discord server.
  4. Binzhirui
    Binzhirui
    5/5,
    Version: 1.0.2
    Good plugin! Can I share this plugin on minebbs? I will indicate the original author and let them download it here
    1. NikV2
      Author's Response
      Hi there!

      Thank you for your review, However this is not really a *plugin*

      This is only a small tool so users are able to check if their server is compatible with each of my plugins.
  5. EchocallingEarth
    EchocallingEarth
    5/5,
    Version: 1.0.0
    Okay, this is an idea I've personally seen only used once before and honestly I wish it was one that was more universally used by all devs.

    Now before you think this guy is crazy, shut up and read on.

    Time to think...
    So you own a server, do you really want to risk downloading dozens of plugins only to find that maybe they work or maybe they do not. Umm, the answer should be no. At least if you are serious about server ownership. Now maybe you are seeing the real reason this is a great idea. Which means finally, you are starting to think like a server owner. YEA!!!

    The solution...
    Well, it is really quite simple, a lightweight easy to use plugin that checks for you before you download the plugins. BRILLIANT. The lights are on now and you can see why you should run this plugin first.

    Sadly this is only a single-sided test as it doesn't check the rest of the world of plugins for you and those devs are not looking at the big picture so they only have a limited field of vision too, sort of like you had before you read this far.

    Now for the pros and cons the only part you probably care about.

    Pros: Allows you to test and see if CombatPlus and RescourceWorld will work on your server before you download either of them and waste time which you may or may not really have. *Important note the dev points ahead to future plugins both free and premium which means this will test those as well*

    Cons: Well this only tests the dev's plugins so will plugins like CMI or HungerGames or whatever plugin you chose other than those made by NikV2 work. No clue guess you are at the whim of those devs now. (Bet you wish they(the other plugins you may use or want) had this too especially as some plugins are paid only and well if you buy it and it fails to bad to sad)

    Now did I use it first? The answer is yes and no. See we already run the Resource World plugin on our survival servers but Combatplus was new to us and well we wanted to play it safe first. So we checked and saved ourselves some time. (Sidenote: Yes it worked but hey what if it didn't or what if CombatPlus throw errors we'd never know until we tested which would have been a waste of our time)

    So I'm glad the dev made it, now only if the feature to test outside plugins was added and a conflict checker was added. But hey it's a free lightweight and meant to be removed after testing. Next.
    1. NikV2
      Author's Response
      Thank you for your amazing review my brother!!

      As you said, this is a simple one time run tool to test compatibility before buying-using my plugins. It is simply made to make the job of Server Owners easier without having to go through testing - experimenting!

      Sooner or later, I'll add more informative modules in this tool such as potential incompatible plugins for example:

      *Warning, any type of plugin that affects world generation-deletion might not be compatible with Resource World*

      Or something simular!

      Again, thank you for ur amazing review and i'm glad you found this tool helpful!
  6. Fabb_Ex3
    Fabb_Ex3
    5/5,
    Version: 1.0.0
    idk why but the plugin useless but for the dev kept up a good work :) i still apprrciate it bri
    1. NikV2
      Author's Response
      Thank you!

      It is supposed to be useless hahah, It's just a simple tool for my users to check compatibility before using Any of my plugins!